Scorable.ChildScorable (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, class: Scorable, record: ChildScorable

Package org.apache.lucene.search

# Record Class Scorable.ChildScorable

java.lang.Object
java.lang.Record
org.apache.lucene.search.Scorable.ChildScorable

Record Components:
  `child` - Child Scorer. (note this is typically a direct child, and may itself also have children).
  `relationship` - An arbitrary string relating this scorer to the parent.

Enclosing class:
  `Scorable`

public static record Scorable.ChildScorable(Scorable child, String relationship) extends Record
A child Scorer and its relationship to its parent. The meaning of the relationship depends upon the parent query.

The relationship can be any string that makes sense to the parent Scorer.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChildScorable(Scorable child, String relationship)`
  Creates an instance of a `ChildScorable` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Scorable`
  `child()`
  Returns the value of the `child` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `relationship()`
  Returns the value of the `relationship` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChildScorable

    public ChildScorable(Scorable child, String relationship)
    Creates an instance of a `ChildScorable` record class.
    Parameters:
      `child` - the value for the `child` record component
      `relationship` - the value for the `relationship` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### child

    public Scorable child()
    Returns the value of the `child` record component.
    Returns:
      the value of the `child` record component

  - ### relationship

    public String relationship()
    Returns the value of the `relationship` record component.
    Returns:
      the value of the `relationship` record component